Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/24005/?format=api
{ "ob_id": 24005, "uuid": "953858a04a3c4e1c8d0122bcf0d4b8ac", "title": "UKCP09: Probabilistic climate projections pre-calculated data in an archive of comma separated value formatted files", "abstract": "The UK climate projections (UKCP09) comma separated value (CSV) archive consists of probabilistic data for various climate parameters. Two products are available: firstly, zip files of batch processed UKCP09 data outputs that were provided as an alternative to having to generate multiple requests on the UKCP09 website; and, secondly, additional products that were not available under from the UKCP09 website. These are provided as raw data files.\r\n\r\nList of products:\r\n\r\n1. UK Probabilistic Projections of Climate Change over Land:\r\nGrouped by \r\n- variable and location and\r\n- variable and temporal average. \r\n\r\n2. UK Probabilistic Projections of Climate Change over Marine Regions:\r\nGrouped by\r\n- emissions scenario,\r\n- location,\r\n- temporal average,\r\n- time period,\r\n- variable,\r\n- variable and location and\r\n- variable and temporal average.\r\n\r\n3. Projections of Trend in Storm Surge for UK Waters:\r\nall data is grouped into one file.\r\n\r\n4. Projections of Sea Level Rise for UK Waters:\r\nGrouped by \r\n- emissions scenario,\r\n- location and\r\n- emissions scenario and location.\r\n\r\n5. Global average temperature change values for each time period and emissions scenario:\r\n- all cumulative distribution function (CDF) data in a single file\r\n- all sampled data in a single file. \r\n\r\n6. UK Probabilistic Projections of Climate Change over Land conditioned by a given global average temperature change:\r\nGrouped by \r\n- probability level and\r\n- variable and probability level \r\n\r\n7. Spatially Coherent Projections of UK Climate Change over Land:\r\ngrouped by variable, temporal average and scenario\r\n\r\nThe file naming convention is provided in the documentation.", "keywords": "UKCP09, UK, climate projections, csv", "publicationState": "published", "dataPublishedTime": "2017-09-05T13:02:50", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/24014/?format=api", "dataPath": "/badc/ukcp09/data/projections/csv_archive", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 410119831012, "numberOfFiles": 269879, "fileFormat": "The data are provided as compressed (.zip files) comma separated value (csv) files." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/6541/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/674/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Original data were produced by the Met Office as part of the UKCP09 service before preparation for archival with the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12930/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/23999/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98552/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98556/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98558/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98549/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98550/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98551/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98553/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98554/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98555/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168550/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98557/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/24015/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }